- [HTTP request](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/modifyEntry#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/modifyEntry#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/modifyEntry#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/modifyEntry#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/modifyEntry#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/modifyEntry#body.aspect)
- [Try it!](https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations/modifyEntry#try-it)

Modifies an entry using the permission on the source system.

### HTTP request

`POST https://dataplex.googleapis.com/v1/{name=projects/*/locations/*}:modifyEntry`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The project to which the request should be attributed in the following form: `projects/{project}/locations/{location}`. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "entry": { object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`) }, "updateMask": string, "deleteMissingAspects": boolean, "aspectKeys": [ string ] } ``` |

| Fields ||
|---|---|
| `entry` | ``object (`https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`)`` Required. The entry to modify. |
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. Mask of fields to update. To update Aspects, the updateMask must contain the value "aspects". If the updateMask is empty, the service will update all modifiable fields present in the request. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |
| `deleteMissingAspects` | `boolean` Optional. If set to true, any aspects not specified in the request will be deleted. The default is false. |
| `aspectKeys[]` | `string` Optional. The aspect keys which the service should modify. It supports the following syntaxes: - `<aspect_type_reference>` - matches an aspect of the given type and empty path. - `<aspect_type_reference>@path` - matches an aspect of the given type and specified path. For example, to attach an aspect to a field that is specified by the `schema` aspect, the path should have the format `Schema.<field_name>`. - `<aspect_type_reference>@*` - matches aspects of the given type for all paths. - `*@path` - matches aspects of all types on the given path. The service will not remove existing aspects matching the syntax unless `deleteMissingAspects` is set to true. If this field is left empty, the service treats it as specifying exactly those Aspects present in the request. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/knowledge-catalog/docs/reference/rest/v1/projects.locations.entryGroups.entries#Entry`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataplex.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).